<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>RecordService.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">team-3-project2-public</a> &gt; <a href="index.source.html" class="el_package">dev.team3.services</a> &gt; <span class="el_source">RecordService.java</span></div><h1>RecordService.java</h1><pre class="source lang-java linenums">package dev.team3.services;

import dev.team3.daos.AccountRepository;
import dev.team3.daos.RecordRepository;
import dev.team3.models.Account;
import dev.team3.models.Record;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
<span class="fc" id="L12">public class RecordService {</span>


    @Autowired
    private RecordRepository recordRepo;
    @Autowired
    private AccountRepository accountRepo;

    public List&lt;Record&gt; getRecordByUsername(String username){
<span class="fc" id="L21">        Account account = accountRepo.findByUsername(username).get(0);</span>

<span class="fc" id="L23">        return recordRepo.findByAccount(account);</span>
    }


//    public Record createNewARecord(Record r){
//        return recordRepo.save(r);
//    }

    public Record createNewRecordByUsername(int gameId, double amount, String username){
<span class="fc" id="L32">        Account account = accountRepo.findByUsername(username).get(0);</span>
<span class="fc" id="L33">        account.setBalance(account.getBalance() + amount);</span>
<span class="fc" id="L34">        accountRepo.save(account);</span>
<span class="fc" id="L35">        Record record = new Record();</span>
<span class="fc" id="L36">        record.setAmount(amount);</span>
<span class="fc" id="L37">        record.setGameId(gameId);</span>
<span class="fc" id="L38">        record.setAccount(account);</span>
<span class="fc" id="L39">        System.out.println(record.toString());;</span>
<span class="fc" id="L40">        return recordRepo.save(record);</span>
    }


}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.2.201808211720</span></div></body></html>